summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0007masquerade_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0007masquerade_1')
-rwxr-xr-xtests/shell/testcases/chains/0007masquerade_111
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0007masquerade_1 b/tests/shell/testcases/chains/0007masquerade_1
new file mode 100755
index 0000000..4434c89
--- /dev/null
+++ b/tests/shell/testcases/chains/0007masquerade_1
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+$NFT add table t
+$NFT add chain t c1 {type filter hook output priority 0 \; }
+
+# wrong hook output, only postrouting is valid
+$NFT add rule t c1 masquerade 2>/dev/null || exit 0
+echo "E: accepted masquerade in output hook" >&2
+exit 1